### Hierarchy

- Storage

### Indexable

[name: string]: any

## Index

### Properties

- length

### Methods

- clear
- getItem
- key
- removeItem
- setItem

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14573

Returns the number of key/value pairs currently present in the list associated with the object.

## Methods

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14577

  Empties the list associated with the object of all key/value pairs, if there are any.

  #### Returns void

### getItem

- getItem(key: string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14581

  value = storage[key]

  #### Parameters

  - ##### key: string

  #### Returns string | null

### key

- key(index: number): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14586

  Returns the name of the nth key in the list, or null if n is greater than or equal to the number of key/value pairs in the object.

  #### Parameters

  - ##### index: number

  #### Returns string | null

### removeItem

- removeItem(key: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14590

  delete storage[key]

  #### Parameters

  - ##### key: string

  #### Returns void

### setItem

- setItem(key: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14594

  storage[key] = value

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns void

Generated using TypeDoc